# List destinations

> Every destination on the account, without its secrets.

`GET /destinations`

**Auth:** API key or OAuth token

## Response

### 200 — Destinations returned

- `data` (required, object[])
  - `config` (required, json | null)
  - `createdAt` (required, any)
  - `id` (required, string)
  - `name` (required, string)
  - `provider` (required, json | null)
  - `updatedAt` (required, any)

```json
{
  "data": [
    {
      "config": {},
      "id": "string",
      "name": "string",
      "provider": {}
    }
  ]
}
```

## Request samples

### cURL

```bash
curl https://api.mynth.io/destinations \
  -H "Authorization: Bearer $MYNTH_API_KEY"
```

### JavaScript

```ts
const response = await fetch("https://api.mynth.io/destinations", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.MYNTH_API_KEY}`,
  },
});

const { data } = await response.json();
```

The full schema for this endpoint is in the [OpenAPI document](https://api.mynth.io/openapi.json).
